# Enum Class ViewType

java.lang.Object
java.lang.Enum<ViewType>
org.daypilot.ui.enums.ViewType

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewType>`, `Constable`

public enum ViewType extends Enum<ViewType>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `DAYS`
  `GANTT`
  `RESOURCES`
  `WEEK`
  `WORKWEEK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ViewType`
  `parse(String input)`
  `static ViewType`
  `parseSoft(String input)`
  Parses a String.
  `String`
  `toString()`
  `static ViewType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ViewType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final ViewType DAY

  - ### WORKWEEK

    public static final ViewType WORKWEEK

  - ### WEEK

    public static final ViewType WEEK

  - ### DAYS

    public static final ViewType DAYS

  - ### RESOURCES

    public static final ViewType RESOURCES

  - ### GANTT

    public static final ViewType GANTT

- ## Method Details

  - ### values

    public static ViewType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ViewType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static ViewType parse(String input)
    Parameters:
      `input` -
    Returns:

  - ### parseSoft

    public static ViewType parseSoft(String input)
    Parses a String. If it's not possible to parse a correct value, returns null.
    Parameters:
      `input` - Input String to be parsed.
    Returns:
      ViewTypeEnum value or null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ViewType>`